PO4A-GETTEXTIZE(1p)

NOM
po4a-gettextize - Convertir un fichier original (et sa traduction) en fichier PO

SYNOPSIS
po4a-gettextize -f fmt -m maître.doc [-l XX.doc] -p XX.po

(XX.po est le fichier de sortie, tous les autres sont des entrées)

DESCRIPTION
L’objectif du projet po4a [PO for anything — PO pour tout] est de simplifier la traduction (et de façon plus intéressante, la maintenance des traductions) en utilisant les outils gettext dans des domaines pour lesquels ils n’étaient pas destinés, comme la documentation.

Le script po4a-gettextize sert à convertir des fichiers de documentation depuis leur format d’origine vers le format PO. Si vous débutez une nouvelle traduction, po4a-gettextize extraira du fichier de documentation les chaînes devant être traduites et les écrira dans un fichier POT.

Si vous disposez d’ores et déjà d’une traduction dans le même format que l’original, po4a-gettextize va essayer d’en extraire le contenu pour le placer comme traduction dans le fichier PO. Attention, po4a-gettextize ne remplit pas cette tâche très intelligemment : il suppose que la énième chaîne du fichier traduit est la traduction de la énième chaîne du fichier original. Si ce n’est pas le cas, vous êtes mort. C’est pourquoi il est très important que les deux fichiers aient exactement la même structure.

Cependant, po4a-gettextize détectera sans doute toute désynchronisation entre les fichiers. Si le cas se produit, vous devez éditer les fichiers manuellement afin de corriger le problème. Même si aucune erreur n’a été signalée, vous devriez soigneusement vérifier que le fichier PO généré est valide (c’est-à-dire que chaque msgstr est bien la traduction du msgid auquel il est associé, et non du précédent ou du suivant).

Même si le script parvient à remplir sa tâche sans problème apparent, il marque toutes les chaînes extraites comme approximatives (fuzzy), pour s’assurer que le traducteur les vérifiera et détectera les éventuels problèmes restants.

Si le document maître contient des caractères non ASCII, il convertit les fichiers PO en UTF-8 (si ce n’est pas déjà le cas), de façon à autoriser les caractères non standard en fonction des paramètres régionaux. Sinon (si le document maître ne contient que des caractères ASCII), le fichier PO généré utilisera l’encodage du document traduit donné en entrée.

OPTIONS

-f, --format
    Type de format de la documentation que vous souhaitez traiter. Utilisez l’option --help-format pour afficher la liste des formats disponibles.

-m, --master
    Fichier contenant le document maître à traduire. Vous pouvez utiliser cette option plusieurs fois si vous voulez gettextizer plusieurs documents.

-M, --master-charset
    Jeu de caractères du fichier contenant les documents à traduire.

-l, --localized
    Fichier contenant le document traduit. Si vous fournissez plusieurs fichiers maîtres, vous voudrez sûrement fournir également plusieurs documents traduits en utilisant cette option plusieurs fois.

-L, --localized-charset
    Jeu de caractères du fichier contenant le document traduit.

-p, --po
    Fichier où le catalogue de messages sera écrit. S’il n’est pas spécifié, le catalogue de messages sera écrit sur la sortie standard.

-o, --option
    Passe une ou des options supplémentaires au greffon de format. Spécifiez chaque option en utilisant le format name=value. Veuillez vous référer à la documentation de chaque greffon pour la liste des options valides et leurs significations.

-h, --help
    Affiche un message d’aide.

--help-format
    Énumère les formats de documentations connus de po4a.

-V, --version
    Affiche la version du script et quitte.

-v, --verbose
    Rend le programme plus bavard.

-d, --debug
    Affiche quelques informations de débogage.

--msgid-bugs-address adresse@email
    Fixe l’adresse à laquelle les bogues des msgid doivent être envoyés. Par défaut, les fichiers POT créés n’ont pas de champ Report-Msgid-Bugs-To.

--copyright-holder chaîne
    Fixe le détenteur du copyright dans l’en-tête du fichier POT. La valeur par défaut est « Free Software Foundation, Inc. ».

--package-name chaîne
    Fixe le nom du paquet pour l’en-tête du fichier POT. La valeur par défaut est « PACKAGE ».

--package-version chaîne
    Fixe la version du paquet pour l’en-tête du fichier POT. La valeur par défaut est « VERSION ».

VOIR AUSSI
po4a-normalize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTEURS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCTION
 Martin Quinson (mquinson#debian.org)

COPYRIGHT ET LICENCE
Copyright 2002-2012 par SPI, inc.

Ce programme est un logiciel libre ; vous pouvez le copier et / ou le modifier sous les termes de la GPL (voir le fichier COPYING).